%{?nodejs_find_provides_and_requires}

%global packagename figures
%global enable_tests 0
# tests disabled until 'ava' is packaged

Name:		nodejs-figures
Version:	1.7.0
Release:	%mkrel 7
Summary:	Unicode symbols with Windows CMD fallbacks
Group:          Development/Other

License:	MIT
URL:		https://github.com/sindresorhus/figures.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/figures/v%{version}/test.js


BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(object-assign)
BuildRequires:	npm(escape-string-regexp)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Unicode symbols with Windows CMD fallbacks


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}





%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.7.0-7.mga9
+ Revision: 1821361
- Mageia 9 Mass Rebuild

* Tue May 05 2020 joequant <joequant> 1.7.0-6.mga8
+ Revision: 1580566
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 1.7.0-5.mga8
+ Revision: 1492582
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.7.0-4.mga7
+ Revision: 1264975
- Mageia 7 Mass Rebuild

* Tue Feb 21 2017 neoclust <neoclust> 1.7.0-3.mga6
+ Revision: 1087123
- imported package nodejs-figures


* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 14 2016 Jared Smith <jsmith@fedoraproject.org> - 1.7.0-2
- Update to address items from package review

* Thu Jul 07 2016 Jared Smith <jsmith@fedoraproject.org> - 1.7.0-1
- Update to upstream 1.7.0 release

* Wed Oct 28 2015 Jared Smith <jsmith@fedoraproject.org> - 1.4.0-1
- Initial packaging
